catalog:
  title: RoboCup Follow Me

templates:
- runnable
- base

variables:
  keywords:
  - python
  - fsmt
  - programming language
  - testing
  - integrations tests
  recipe.maintainer:
  - flier@techfak.uni-bielefeld.de

  branches:
  - nightly

  extra-requires:
  - nature: cmake
    target: fsmt-exp-robocup-follow
  - nature: setuptools
    target: fsmt

  shell.command: |
    #!/bin/bash
    export DISPLAY=:0.0
    export prefix="${toolkit.dir}"
    export PYTHONPATH=$prefix/lib/python2.7/site-packages/
    export PATH=$prefix/bin/:$PATH
    source $prefix/etc/vdemo_scripts/robocup_base.sh
    fsmt -s 15 $prefix/etc/fsmt-experiments/robocup-nightly-learn-id/robocup-nightly-learn-id.scxml
